
*,
*:before,
*:after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 300;
  src: url(../font/roboto-latin.woff2); 
}

@font-face {
  font-family: 'Roboto Slab';
  font-style: normal;
  font-weight: 100 900;
  /*font-display: swap;*/
  src: url(../font/roboto-slab-latin.woff2) format('woff2');
}

@font-face {
  font-family: 'Luckiest Guy';
  font-style: normal;
  font-weight: 400;
  src: url(../font/_gP_1RrxsjcxVyin9l9n_j2hTd52.woff2) format('woff2');
}

@font-face {
  font-family: 'Noto';
  font-style: normal;
  font-weight: 400;
  /*font-display: swap;*/
  src: url('../font/noto-sans-symbols-v40-latin_latin-ext_symbols-regular.woff2') format('woff2');
}

html, body {
  font-family:'Noto', sans-serif;
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
  margin-top: 0px;
  font-weight: 400;
  font-style: normal;
  font-size: 1em;
  line-height: 1.4em;
  color:black;
  background: white;/*#224444; #bbbbbb*/

  /*text is unselectable*/
  /*
  -webkit-user-select: none;
  -webkit-touch-callout: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  */
  shape-rendering: geometricPrecision;
}


header {
  margin-bottom: 0px;
}

div {
  page-break-inside: avoid;
  page-break-before: always;
}

.link {
   color: black;
   -webkit-appearance: none;
   appearance: none;
}

.icon{
  display: inline;
  vertical-align:middle;
  width: 1.5em;
  height:auto;
  padding:0;
  margin:0;
  margin-right:0em;
}

.header-container {
  display: flex; /* Enables flexbox layout */
  /*align-items: flex-start;
  align-content: center; */  /* Center content vertically (important for different heights) */

  align-items: center;
  justify-content: center;
  background-color: #ffffff;  /* Set your desired background color here */
  padding: 20px;
  border-top: 1px solid #aaaaaa;
}

.header-container-green {
  background-color: #aacccc;  /* Set your desired background color here */
  padding: 0;
  padding-top: 0px;
}

.keyvis-container {
  display: flex;
  align-items: center;
  position:relative;
  padding: 0;
  margin: 0;
  background-color: #aacccc;
}

.button-container{
  position: absolute; 
  width: 100%;
  text-align: center; 
  background-position: center top; /* Shift image up slightly */
}

.left-column,
.right-column {
  display: flex; 
  flex-direction: column; 
  align-items: flex-start; 
  justify-content: center;
  align-content: center;   
  padding-top: 0px; 
  padding-bottom: 0px; 
  padding-right: 20px; 
}

.left-column {
  flex: 0 0 auto; /* shrink to content */
}

.right-column {
  flex: 1; /* fills remaining space */
}


.content-container{
  padding:20px;
  /*padding-bottom:20px;*/
  width: 100%;
  max-width: 700px; 
  margin: 0 auto; 
}

.bookCover {
  margin-top:10px;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 0px;
  width: 80px;
  height:auto;
}

.tunebookDescription {
  color: black;
}


a, 
a:visited {
  color: black;
  /*text-decoration: none;*/
}

#divider {
  color: #cccccc;
}

ul{
  /*display: inline;*/
  list-style-type: none;
}

li {
white-space: nowrap;
display: inline;
padding-right:15px;
line-height:2.5em;
}

span{
  padding: 0px;
  margin: 0px;
}

.span-nowrap{
  white-space: nowrap;
}

pre, span.code {
  font-size: 14px;
  padding: 5px;
  font-family: Monaco, monospace;
  border: 1px solid #ffffff;
}

h1, h2 {
  font-family:'Roboto Slab', sans-serif;
  font-size: 1.7em;
  line-height: 1.2em;
  font-weight:400;
  padding-bottom: 0.5em;
}
h1 {
  margin-top:0.3em;
  font-size: 2.4em;
}

h3 {
  font-family:'Roboto Slab', sans-serif;
  font-size: 1.3em;
  font-weight: 400;
  padding-bottom: 0.6em;
  line-height: 1.2em;
}

p {
  font-family:'Noto', sans-serif;
  font-size: 1em;
  text-align: start;
  padding-bottom: 1.5em;
}

img {
  display: inline;
  margin-right: 20px;
  margin-bottom: 15px;
  /*margin-left: auto;
  margin-right: auto;*/
}

.keyvis {
  display: inline;
  margin:0;
  padding: 0;
  object-fit: cover; 
  width: 100%;
  height: 180px;
}

.keyvis-sm {
  display: inline;
  margin:0;
  padding: 0;
  object-fit: cover; 
  width: 100%;
  height: 40px;
}

@media screen and (-webkit-min-device-pixel-ratio: 0) and (min-resolution: .001dpcm) {
    /* Mac only */
    .logoText {
        margin-top: 0.3em; /* Adjust this value (e.g., -2px, -3px, -4px) until it looks right on Mac */
        /* vertical-align: -1px; */ 
    }
}

.logoText {
  font-family:'Luckiest Guy', sans-serif;
  font-size: 2.7em;
  line-height: 1;
  font-weight:400;
  padding-top: 0.1em;
  letter-spacing: 0.03em;
  justify-content: center; 
  align-content: center;   /* Center content vertically  */
}

.logoLink {
  text-decoration: none;
}

.logolarge {
  font-size: 1.15em;
}

.minitext{
  font-size: 0.8em;
}

hr{
  border: none;
  background-color: black;
  height:1px;
  margin-bottom: 1.5em;
}

.textdivider{
  border: none;
  background-color: #aacccc;
  height:2px;
  margin-bottom: 1.5em;
}

input[type="search"], [type="text"]  {
  /*font-family: 'Open Sans', 'Helvetica', sans-serif;*/
  font-size: 1em;
  margin-left: 0;
  margin-bottom: 0;
  margin-right: 3px;
  margin-top:6px;
  padding: 4px 4px;
  height:2em;
  background: #fff;
  border: 1px solid #bbb;
  border-radius: 5px;
  outline: none;
  width:100%
}

input[type="checkbox"] {
  vertical-align: middle;
  position: relative;
  bottom: 1px;
  margin-right: 10px;
}

.checkbox-label{
  margin-left: 0px;
  margin-bottom: 0px;
  margin-top: 0px;
  margin-right: 15px;
  line-height:1.5em;
}

.radio-group{
  border: 0px solid #bbb;
  margin-left: 0;
  margin-bottom: 12px;
  margin-top: 20px;
  margin-right: 0px;
}

.radio-label{
  margin-left: 0px;
  margin-bottom: 0px;
  margin-top: 0px;
  margin-right: 15px;
}

input[type="radio"] {
  vertical-align: middle;
  position: relative;
  bottom: 1px;
  margin-right: 5px;
  border: 0px;
  width: 1.5em;
  height: 1.5em;

  /*display: grid;
  grid-template-columns: 1em auto;
  gap: 0.1em;*/
}
  
/* Style the label as the custom button */



.startbutton {
  background-color: #007bff;
  color: #fff;
  cursor: pointer;
  border: 1.5px solid #000000;
  border-radius: 7px;
  font-family:'Noto', sans-serif;
  font-size: 1.5em;
  font-weight: 700;
  padding: 0 0.4em  0.2em 0.4em ;
  line-height: 1em; /* Adjust the height to match the button's height */
  height: 2.5em;
  /*padding: 10px 15px;*/
}

.smallbutton {
  background-color: #e7e7e7;
  color: #000000;
  cursor: pointer;
  border: 1px solid gray;
  border-radius: 4px;
  font-family:'Noto', sans-serif;
  font-size: 0.9em;
  font-weight: 400;
  padding: 0.4em 0.4em  0.4em 0.4em ;
  margin: 0.8em 0;
  line-height: 1em; /* Adjust the height to match the button's height */
  /*height: 1em;*/
  /*padding: 10px 15px;*/
}

.bluebutton {
  background-color: #007bff;
  color: #fff;
  cursor: pointer;
}

.whitehead {
  font-family: 'Roboto Slab', 'Noto', sans-serif;
  display: inline-block;
  color:white;
  padding: 0 3.5em;
  padding-bottom: 0.5em;
  font-size: 2em;
  line-height: 1.2em;
  font-weight: 700; 
  max-width: 700px; /* Set the maximum width to 700px */
  text-align: center;
}


button, .button {
  display: inline;
  vertical-align:center;
  padding: 5px 10px;
  color:black;
  background-color: white;
  margin-left: 0;
  margin-right: 0px;
  margin-top: 0px;
  font-size: 1.2em;
  border: 1px solid #000000;
  border-radius: 5px;
  max-width: 400px;
}

button:hover {
  background-color: #007bff;
  color: white;
}

.logo {
  display: block;
  width: 50px;
  height: auto;
  margin: 0;
  margin-bottom: 0px;
  border-radius: 10px;
  /*margin-left: auto;
  margin-right: auto;
  width: 40%;*/
}

#showSysInfo, 
.showSysInfo,
code {
  color: #cccccc;
  text-decoration: none;
}

.monospaced-code {
  font-family: monospace;
  white-space: pre-wrap; /* Preserve line breaks and spaces */
  background-color: #f0f0f0; /* Optional: Add a light background */
  padding: 10px; /* Optional: Add padding for spacing */
  margin: 10px 0;
  border: 1px solid #ccc; /* Optional: Add a border */
}

@media only screen and (min-width:700px) {
  header {
    max-width: 1000px;
    margin: 0 auto 0px auto;
    padding: 0 30px;
  }
}
/* ------------------------------------------------------------------------------------ */

@media (max-width: 700px) {
  /* Small Screens*/
  

  body {
    font-size: 0.9em;
    line-height: 1.4em;
    padding:0;
  }

  h2{
    font-size: 1.5em;
    line-height: 1.2em;

  }

  p {
    font-size: 1em;
  }

  .logo {
    width: 40px;
    height: auto;
    /*margin-left: auto;
    margin-right: auto;
    width: 40%;*/
  }
  .bookCover {
    margin-top:10px;
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 0px;
    width: 50px;
    height:auto;
    /*r-book.png*/
  }

.startbutton {
    font-size: 1.2em;
  }

  .header-container, 
  .content-container {
    padding: 15px;
  }

  .left-column,
  .right-column {
    padding-right: 15px; /* Optional padding for content */
  }

  .whitehead {
    padding: 0 1em;
    padding-bottom: 0.2em;
    font-size: 1.8em;
    line-height: 1.2em;
  }

}




.unselectable {
  -webkit-user-select: none;
  -webkit-touch-callout: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}




/* Style page content - use this if you want to push the page content 
to the right when you open the side navigation 
put a "main" div around page content*/
#main {
  transition: margin-left .5s;
  padding: 20px;
}

.cover {
  position: absolute;
  z-index: 900;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  background: black;
  opacity: 0;
  display: none;
  transition: opacity 0.4s ease-in-out;
}
